#!/usr/bin/env bash
#
# build_p4ruby.sh
#
# This provides our "build step" for the CD chain. We perform tests using the
# latest build of p4d and the p4api. If it's all ok, then the prelease gem
# is uploaded to our internal Gem server for further validation.
#
# Installation Dependencies
# -------------------------
#
# - RVM to manage the Ruby installation
# - The RVM version under test should have the 'inabox' gem installed and
#   configured to post to http://geminabox.das.perforce.com
# - Ant to execute our DocBook installation
#

set -e
export PATH="$PATH:$HOME/.rvm/bin"

# Need to be explicit, rvm seems to select 2.1.3 otherwise
rvm use 2.1.4

set -v

bundle install
bundle exec p4util download p4d

rake compile

rake test

# Creates documentation in the doc/ directory, which is picked up by our packages
cd docbook && ant publicsite -Ddoc.build.path=../p4-doc/manuals/_build && cd ..

# This builds .tgz and .zip files in pkg/
rake package

# Create the file that contains parameters that come from this build.
rake build.properties

# OK, looks good, build the (source) gem
gem build p4ruby.gemspec

gem inabox p4ruby*.gem -g http://geminabox.das.perforce.com

